<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.45
Name: [4] Obecność odleżyn
Description: Szablon CDA dla informacji o obecności odleżyn
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000">
   <title>[4] Obecność odleżyn</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]"
         id="tmp-r-34efc09a-2261-423a-978b-0dd37c2fcd40">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/@nullFlavor)">(plCdaNursingPressureUlcerPresentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45'])&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']"
         id="tmp-r-5fa559cc-da49-44ce-b83d-fc3d30c55b33">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="string(@classCode)='OBS'">(plCdaNursingPressureUlcerPresentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaNursingPressureUlcerPresentEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingPressureUlcerPresentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingPressureUlcerPresentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.45'] | self::hl7:id | self::hl7:code[@code='10025798' and @codeSystem='2.16.840.1.113883.6.97' and @codeSystemName='ICNP' and @displayName='Pressure ulcer'] | self::hl7:statusCode[@code='completed'] | self::hl7:effectiveTime | self::hl7:repeatNumber[@value] | self::hl7:targetSiteCode[@codeSystem='2.16.840.1.113883.6.97'])])">(plCdaNursingPressureUlcerPresentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Obecność odleżyn" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.45'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.45']/@nullFlavor)">(plCdaNursingPressureUlcerPresentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.45'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.45'])&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.45'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaNursingPressureUlcerPresentEntry): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:effectiveTime)=0">(plCdaNursingPressureUlcerPresentEntry): element hl7:effectiveTime NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:repeatNumber)&gt;=1 and not(hl7:repeatNumber/@nullFlavor)">(plCdaNursingPressureUlcerPresentEntry): element hl7:repeatNumber jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:repeatNumber)&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:repeatNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)">(plCdaNursingPressureUlcerPresentEntry): element hl7:targetSiteCode jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:targetSiteCode)&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:targetSiteCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.45']
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.45']"
         id="tmp-r-271d29fe-bc8d-4b34-9067-2e3346fab7a1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerPresentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.45'">(plCdaNursingPressureUlcerPresentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.45'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:id
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:id"
         id="tmp-r-48828e93-ad84-45c3-90b9-e81f62188adc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerPresentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:code
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:code"
         id="tmp-r-9da43f16-3332-4315-9e2c-ac8338a5c009">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerPresentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingPressureUlcerPresentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Obecność odleżyn" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingPressureUlcerPresentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:code/hl7:qualifier
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:code/hl7:qualifier"
         id="tmp-r-10e4a0bc-7318-4d73-bad9-4992935c3ffd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="not(./*[not(self::hl7:name[@code='ODL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.12' and @codeSystemName='Słownik wartości dla skali klasyfikacji odleżyn' and @displayName='Stopień odleżyn'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.12'])])">(plCdaNursingPressureUlcerPresentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Obecność odleżyn" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingPressureUlcerPresentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingPressureUlcerPresentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:code/hl7:qualifier/hl7:name
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:code/hl7:qualifier/hl7:value
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:statusCode
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:statusCode"
         id="tmp-r-2a238204-cc00-4177-aa7b-6c2798f3675c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerPresentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:effectiveTime
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:repeatNumber
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:repeatNumber"
         id="tmp-r-f5defe67-65ca-4eb7-9f39-542a31df47b7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerPresentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="$digitok or @nullFlavor">(plCdaNursingPressureUlcerPresentEntry): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="@value">(plCdaNursingPressureUlcerPresentEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="not(@value) or matches(string(@value), '^-?[1-9][0-9]*$|^+?[0-9]*$')">(plCdaNursingPressureUlcerPresentEntry): Atrybut @value nie jest porawną liczbą typu int <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:targetSiteCode
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:targetSiteCode"
         id="tmp-r-89cc38bb-dce5-487c-963b-a7322ee9609b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerPresentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingPressureUlcerPresentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Obecność odleżyn" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:targetSiteCode/hl7:qualifier
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:targetSiteCode/hl7:qualifier"
         id="tmp-r-cdc1d0bd-2e9f-4da0-a479-a40b828a7e47">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="not(./*[not(self::hl7:name[@code='10011279' and @codeSystem='2.16.840.1.113883.6.97' and @codeSystemName='ICNP' and @displayName='Left Right Position'] | self::hl7:value[@codeSystem='2.16.840.1.113883.6.97'])])">(plCdaNursingPressureUlcerPresentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Obecność odleżyn" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingPressureUlcerPresentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingPressureUlcerPresentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.45-2015-08-15T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingPressureUlcerPresentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:targetSiteCode/hl7:qualifier/hl7:name
Item: (plCdaNursingPressureUlcerPresentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.45
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.45']/hl7:targetSiteCode/hl7:qualifier/hl7:value
Item: (plCdaNursingPressureUlcerPresentEntry)
-->
</pattern>
